libdap::D4Attributes Class Reference
Inheritance diagram for libdap::D4Attributes:

## Public Types

typedef vector< D4Attribute * >::const_iterator | D4AttributesCIter
typedef vector< D4Attribute * >::iterator | D4AttributesIter

## Public Member Functions

void | add_attribute (D4Attribute *attr)
void | add_attribute_nocopy (D4Attribute *attr)
D4AttributesIter | attribute_begin ()
| Get an iterator to the start of the enumerations. More...
D4AttributesIter | attribute_end ()
| Get an iterator to the end of the enumerations. More...
| D4Attributes (const D4Attributes &rhs)
virtual void | dump (ostream &strm) const
| dumps information about this object More...
bool | empty () const
D4Attribute * | find (const string &name)
D4Attribute * | get (const string &fqn)
D4Attributes & | operator= (const D4Attributes &rhs)
void | print_dap4 (XMLWriter &xml) const
void | transform_attrs_to_dap2 (AttrTable *d2_attr_table)
| Copy the attributes from this D4Attributes object to a DAP2 AttrTable. More...
void | transform_to_dap4 (AttrTable &at)
| copy attributes from DAP2 to DAP4 More...

## Detailed Description

Definition at line 94 of file D4Attributes.h.

## Member Function Documentation

## attribute_begin()

D4AttributesIter libdap::D4Attributes::attribute_begin | ( |  | ) |

inline

Get an iterator to the start of the enumerations.

Definition at line 151 of file D4Attributes.h.

## attribute_end()

D4AttributesIter libdap::D4Attributes::attribute_end | ( |  | ) |

inline

Get an iterator to the end of the enumerations.

Definition at line 154 of file D4Attributes.h.

## dump()

void libdap::D4Attributes::dump | ( | ostream & | strm | ) | const

virtual

dumps information about this object

Displays the pointer value of this instance and then displays information about this base type.

Parameters

  strm | C++ i/o stream to dump the information to

Returns
  void

Implements libdap::DapObj.

Definition at line 568 of file D4Attributes.cc.

## get()

D4Attribute * libdap::D4Attributes::get | ( | const string & | fqn | ) |

Return a pointer to the D4Attribute object that has the given FQN.

Note
  A FQN for an attribute is a series of names separated by dots.

Definition at line 442 of file D4Attributes.cc.

## transform_attrs_to_dap2()

void libdap::D4Attributes::transform_attrs_to_dap2 | ( | AttrTable * | d2_attr_table | ) |

Copy the attributes from this D4Attributes object to a DAP2 AttrTable.

Parameters

  d2_attr_table

  Load
  - d2_attr_table with the D4Attributes found in this object.

Definition at line 321 of file D4Attributes.cc.

## transform_to_dap4()

void libdap::D4Attributes::transform_to_dap4 | ( | AttrTable & | at | ) |

copy attributes from DAP2 to DAP4

Given a DAP2 AttrTable, copy all of its attributes into this DAP4 D4Attributes object as D4Attribute object instances.

Parameters

  at | Read the DAP2 attributes from here.

Definition at line 196 of file D4Attributes.cc.

The documentation for this class was generated from the following files:

- D4Attributes.h
- D4Attributes.cc